"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNumeric = exports.opMap = exports.HandleName = void 0;
const HandleName = (name) => {
    //Correct the variable name if it's in the form of \w_\w+.
    if (name.substring(1, 2) === "_") {
        return name[0] + "_{" + name.substring(2).replace(/_/g, "") + "}";
    }
    return name.replace(/_/g, "");
};
exports.HandleName = HandleName;
exports.opMap = {
    "=": "=",
    ">": ">",
    ">=": "\\ge ",
    "=>": "\\ge ",
    "<=": "\\le ",
    "=<": "\\le "
};
const isNumeric = (num) => (typeof (num) === "number" || (typeof (num) === "string" && num.trim() !== "")) && !isNaN(num);
exports.isNumeric = isNumeric;
//# sourceMappingURL=util.js.map